subtle - Bug #107

subtler cannot handle clients with name 'null’
07/29/2009 04:31 PM - Thomas Dahms

Status: Fixed Start date: 07/29/2009
Priority: Urgent Due date:

Assignee: Christoph Kappel % Done: 100%
Category: Bugfix Estimated time: 0.00 hour
Target version:

Description

When using gnuplot with 'set term x11', the clients with the plots are named 'null'.
Excerpt from 'subtler -cl":

0xc00008 * 1 836x1046 4 2 (null) ((null))

Trying to tag this client with 'subtler -c null -T gnuplot' segfaults subtler.

'subtler -cxT gnuplot' and clicking the client crashes also, but is more verbose:

e glibc detected * subtler: corrupted double-linked list: 0x0805e280 * ======= Backtrace: =========

/lib/libc.s0.6[0xb7ce8714]

/lib/libc.s0.6[0xb7ce899¢]

/lib/libc.s0.6[0xb7cea885]

/lib/libc.so0.6(_libc_malloc+0x96)[0xb7cec886]

/lib/libc.s0.6[0xb7d21ab9]

/lib/libc.s0.6[0xb7d2c96¢e]

/lib/libc.s0.6[0xb7d2e647]

/lib/libc.so.6[0xb7d2e749]

/lib/libc.so.6[0xb7d2eb27]

/lib/libc.so.6(regcomp+0xc2)[0xb7d306a2]

subtler[0x804933f]

subtler[0x804a053]

subtler[0x804b44b]

subtler[0x804d896]

/lib/libc.so.6(_libc_start_main+0xe5)[0xb7c93725]

subtler[0x8049071] ======= Memory map: ========

08048000-08050000 r-xp 00000000 00:13 5464479 /home/dahms/local/usr/bin/subtler
08050000-08051000 r--p 00007000 00:13 5464479 /home/dahms/local/usr/bin/subtler
08051000-08052000 rw-p 00008000 00:13 5464479 /home/dahms/local/usr/bin/subtler
08052000-08073000 rw-p 08052000 00:00 0 [heap]

b7a00000-b7221000 rw-p b7a00000 00:00 0

b7a21000-b7b00000 ---p b7a21000 00:00 O

b7bbf000-b7bcb000 r-xp 00000000 08:07 1127052 /ust/lib/gcc/i686-pc-linux-gnu/4.3.2/libgcc_s.so.1
b7bcb000-b7bcc000 r--p 0000b000 08:07 1127052  /ust/lib/gcc/i686-pc-linux-gnu/4.3.2/libgcc_s.so.1

b7bcc000-b7bcd000 rw-p 0000c000 08:07 1127052  /usr/lib/gcc/i686-pc-linux-gnu/4.3.2/libgec_s.so.1

b7bcd000-b7bd1000 r-xp 00000000 08:07 1061875 /usr/lib/libXfixes.s0.3.1.0
b7bd1000-b7bd2000 rw-p 00003000 08:07 1061875 /usr/lib/libXfixes.s0.3.1.0
b7bd2000-b7bd9000 r-xp 00000000 08:07 1061911  /usr/lib/libXrender.so0.1.3.0
b7bd9000-b7bda000 r--p 00007000 08:07 1061911  /usr/lib/libXrender.s0.1.3.0
b7bda000-b7bdb000 rw-p 00008000 08:07 1061911  /usr/lib/libXrender.s0.1.3.0
b7bdb000-b7be3000 r-xp 00000000 08:07 1061863  /usr/lib/libXcursor.so0.1.0.2
b7be3000-b7be4000 r--p 00007000 08:07 1061863 /usr/lib/libXcursor.s0.1.0.2
b7be4000-b7be5000 rw-p 00008000 08:07 1061863 /usr/lib/libXcursor.so0.1.0.2
b7be5000-b7be6000 rw-p b7be5000 00:00 0

b7be6000-b7bfa000 r-xp 00000000 08:05 4148  /lib/libpthread-2.9.s0
b7bfa000-b7bfb000 r--p 00013000 08:05 4148  /lib/libpthread-2.9.s0
b7bfb000-b7bfc000 rw-p 00014000 08:05 4148 /lib/libpthread-2.9.s0
b7bfc000-b7bfe000 rw-p b7bfc000 00:00 0

b7bfe000-b7c02000 r-xp 00000000 08:07 1061869 /ust/lib/libXdmcp.s0.6.0.0
b7c02000-b7c03000 rw-p 00003000 08:07 1061869  /ust/lib/libXdmcp.s0.6.0.0
b7c03000-b7c04000 rw-p b7c03000 00:00 0

b7c04000-b7c06000 r-xp 00000000 08:07 1061848 /ustr/lib/libXau.s0.6.0.0
b7c06000-b7c07000 r--p 00001000 08:07 1061848 /usr/lib/libXau.s0.6.0.0
b7c07000-b7c08000 rw-p 00002000 08:07 1061848 /usr/lib/libXau.s0.6.0.0

b7c08000-b7c15000 r-xp 00000000 08:07 1061965

/usr/lib/libXext.s0.6.4.0

b7¢15000-b7c16000 r--p 0000c000 08:07 1061965  /usr/lib/libXext.s0.6.4.0
b7c16000-b7c17000 rw-p 0000d000 08:07 1061965 /usr/lib/libXext.s0.6.4.0

b7¢17000-b7c3b000 r-xp 00000000 08:05 4150
b7¢3b000-b7¢c3c000 r--p 00023000 08:05 4150
b7¢3c000-b7c3d000 rw-p 00024000 08:05 4150
b7¢3d000-b7¢46000 r-xp 00000000 08:05 4138
b7¢46000-b7¢47000 r--p 00008000 08:05 4138
b7¢c47000-b7c48000 rw-p 00009000 08:05 4138
b7¢c48000-b7c6f000 rw-p b7¢c48000 00:00 O
b7c6f000-b7¢71000 r-xp 00000000 08:05 4156
b7¢c71000-b7¢72000 r--p 00001000 08:05 4156
b7¢c72000-b7c73000 rw-p 00002000 08:05 4156
b7¢73000-b7c74000 rw-p b7c73000 00:00 O
b7c74000-b7c7b000 r-xp 00000000 08:05 4136
b7¢7b000-b7¢7¢c000 r--p 00006000 08:05 4136
b7¢7c000-b7c7d000 rw-p 00007000 08:05 4136
b7¢7d000-b7dba000 r-xp 00000000 08:05 4147
b7dba000-b7dbc000 r--p 0013d000 08:05 4147
b7dbc000-b7dbd000 rw-p 0013f000 08:05 4147
b7dbd000-b7dc0000 rw-p b7dbd000 00:00 O

/Nlib/libm-2.9.s0
/lib/libm-2.9.s0
/lib/libm-2.9.s0
Nlib/libcrypt-2.9.s0
/lib/libcrypt-2.9.s0
/Nlib/libcrypt-2.9.s0

/lib/libdl-2.9.s0
/lib/libdl-2.9.s0
/lib/libdl-2.9.s0

/lib/librt-2.9.s0
/lib/librt-2.9.s0
/lib/librt-2.9.s0
/lib/libc-2.9.s0
/lib/libc-2.9.s0
/lib/libc-2.9.s0

b7dc0000-b7eab000 r-xp 00000000 08:07 1063225 /ust/lib/libX11.50.6.2.0

b7eab000-b7eac000 r--p 000ea000 08:07 1063225
b7eac000-b7eaf000 rw-p 000eb000 08:07 1063225
b7eaf000-b7eb1000 r-xp 00000000 08:07 1063426
b7eb1000-b7eb2000 r--p 00001000 08:07 1063426

/usr/lib/libX11.50.6.2.0
/usr/lib/libX11.50.6.2.0
/usr/lib/libXinerama.s0.1.0.0
/usr/lib/libXinerama.so0.1.0.0

b7eb2000-b7eb3000 rw-p 00002000 08:07 1063426 /usr/lib/IAborted

Related issues:

Related to Bug #106: Mathematica crashes subtle (Yes, the issue is back). Fixed

07/29/2009

History

#1 - 08/03/2009 07:10 PM - Christoph Kappel
- Category set to Bugfix

- Status changed from Unconfirmed to Fixed

- Assignee set to Non member users

- Target version set to 1

- % Done changed from 0 to 100

Not really a bug of subtler, (null) means really null but fixed anyway. :)
